import 'package:flutter/material.dart';

void showMDialog(context, {Widget? child, Color? backgroundColor, bool isDismissable = true, bool isBusniessCard = false}) async {
  return showDialog(
    context: context,
    barrierDismissible: isDismissable,
    builder: (context) {
      return Dialog(
        shape: isBusniessCard
            ? const RoundedRectangleBorder(
                borderRadius: BorderRadius.all(
                  Radius.circular(15.0),
                ),
              )
            : null,
        backgroundColor: backgroundColor,
        child: child,
      );
    },
  );
}
